OpenAPI operations
Read an aggregated destination issue
const url = 'https://api.hooks.events/v1/issues/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.hooks.events/v1/issues/example \ --header 'Authorization: Bearer <token>'Requires the deliveries:read scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Responses
Section titled “Responses”Success
object
Resource id
Failure signature: status:4xx/5xx or timeout/dns/tls/network/transform
Terminal failures absorbed, including reopened ones
ISO-8601 timestamp
ISO-8601 timestamp
ISO-8601 timestamp
ISO-8601 timestamp
Example
{ "status": "open"}Validation error
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Missing or invalid credentials
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}The credential lacks the required scope, or the workspace is not writable
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Resource not found
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Rate limited
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Headers
Section titled “Headers”Requests allowed per window
Seconds until the window resets